import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData) {
  return request.post(constant.serverUrl + "/base/expensesInfo/pageList", formData);
}

function create() {
  return request.get(constant.serverUrl + "/base/expensesInfo/create");
}

function edit(id) {
  return request.get(constant.serverUrl + "/base/expensesInfo/edit/" + id);
}

function add(formModel) {
  return request.post(constant.serverUrl + "/base/expensesInfo/add", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel) {
  return request.post(constant.serverUrl + "/base/expensesInfo/update", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function remove(id) {
  return request.post(constant.serverUrl + "/base/expensesInfo/delete/" + id);
}

function batchRemove(idList) {
  return request.post(constant.serverUrl + "/base/expensesInfo/batchDelete", idList, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function generateData(id) {
  return request.post(constant.serverUrl + "/base/expensesInfo/generateData/" + id);
}


export default {
  pageList, create, edit, add, update, remove, batchRemove,generateData
}